%define ver 0.9.5

Summary: Heretic for Linux
Name: heretic
Version: %{ver}
Release: 1
Copyright: free for personal use (see licence in doc directory)
Group: Games
Source: linux-heretic-%{ver}.tar.gz
Source1: heretic.sh
# the *.wad from the shareware version
Source2: heretic_share.wad
# Makefiles for various platforms
Source4: heretic_Makefiles.tgz
Source5: lxmusserv-0.93.tar.gz
Patch0: lxheretic-0.9.5-mus.diff
BuildRoot: /tmp/heretic-root
URL: http://www.cs.uni-potsdam.de/~wertmann/index.html

%description
Heretic is a first person shooter with a fantasy theme, based on the
Doom engine. This port runs with either X or the GGI library.

This package is built from the free sources Raven software released;
thank you very much guys for your open mind !

%prep
%setup -n linux-heretic-%{ver}

%build
tar zxvf $RPM_SOURCE_DIR/heretic_Makefiles.tgz
%ifarch i386
	cp Makefile-i386 Makefile
%endif
%ifarch m68k
	cp Makefile-m68k Makefile
%endif
%ifarch alpha
	cp Makefile-alpha Makefile
%endif

%ifos FreeBSD
	cp Makefile-FreeBSD Makefile
%endif

%patch0 -p1

( cd sndserv ; make sndserver )

tar zxvf $RPM_SOURCE_DIR/lxmusserv-0.93.tar.gz
(cd lxmusserv-0.93 ; make )

for i in soundclient/i_sound.c m_misc.c ; do
	cp $i AA
	cat AA | sed 's|"./sndserver"|"/usr/lib/games/heretic/sndserver"|' | \
	sed 's|"./musserver"|"/usr/lib/games/heretic/musserv"|' > $i
done

make x11
#make vga
# I don't have GGI currently...
#make ggi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{games,lib/games/heretic}
install -m 755 xheretic $RPM_BUILD_ROOT/usr/games
#install -m 755 ggiheretic $RPM_BUILD_ROOT/usr/games
install -m 644 $RPM_SOURCE_DIR/heretic_share.wad $RPM_BUILD_ROOT/usr/lib/games/heretic/heretic.wad
install -m 755 $RPM_SOURCE_DIR/heretic.sh $RPM_BUILD_ROOT/usr/games/heretic
install -m 755 sndserv/sndserver $RPM_BUILD_ROOT/usr/lib/games/heretic
install -m 755 lxmusserv-0.93/musserv $RPM_BUILD_ROOT/usr/lib/games/heretic
install -m 755 XHeretic-launch $RPM_BUILD_ROOT/usr/games/XHeretic-launch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc  doc/*
/usr/games/XHeretic-launch
/usr/games/heretic
/usr/games/xheretic
#/usr/games/vgaheretic
#/usr/games/ggiheretic
%dir /usr/lib/games/heretic/
/usr/lib/games/heretic/heretic.wad
/usr/lib/games/heretic/sndserver
/usr/lib/games/heretic/musserv
